<html>
	<head>
		<link rel= "stylesheet" type= "text/css" href= "styles.css">
		<title>Static Website</title>
		{{if .AppActive}}
			<meta charset="UTF-8" /> 
			<meta name="viewport"
				  content="width=device-width, 
						   initial-scale=1.0"/> 
			<title>Minimal Gauge</title>
			<!--Fetching from CDN of D3.js -->
			<script src= 
					"https://d3js.org/d3.v6.min.js"> 
			</script>
			<script src = "d3arc.js"></script>
		{{end}}
	</head>
	<header>
		<nav class="menu">
			<ol>
				<li class="menu-item">
					{{if .HomeActive}}
						<a href="ht" class="active">Home</a>
					{{else}}
						<a href="ht">Home</a>
					{{end}}
				</li>
				<li class="menu-item">
					{{if .DashActive}}
						<a href="dashboard" class="active">Dashboard</a>
					{{else}}
						<a href="dashboard">Dashboard</a>
					{{end}}
				</li>
				<li class="menu-item">
					{{if .AppActive}}
						<a href="app" class="active">App</a>
					{{else}}
						<a href="app">App</a>
					{{end}}
				</li>
				<li class="menu-item">	
					{{if .LoginActive}}
						<a href="login" class="active">Login</a>
					{{else}}
						<a href="login">Login</a>
					{{end}}
				</li>
			</ol>
		</nav>
	</header>
	<body>
		<h1 class="headersy">Static Website</h1>
		<p>{{.BodyParagraph}}</p>
		{{if .AppActive}}
		<h2 class="white">Example Chart<h2>
		<div style="width:250px; height:10px;">
			<svg id = "gauge" width="250" height="100">
			</svg>
		</div>
		<script type="text/javascript">
			var smallchart = new SmallGauge({"transitionMs": 1000, "id": "gauge"});
			smallchart.CreateSmallGauge();
			smallchart.updateGaugeChart(0.75);
		</script>
		{{end}}
	</body>
</html>
